%{?nodejs_find_provides_and_requires}

%global packagename path
%global enable_tests 0
# tests are disabled because there are no tests upstream

Name:		nodejs-path
Version:	0.12.7
Release:	1%{?dist}
Summary:	Node.JS path module

License:	MIT
URL:		https://github.com/jinder/path.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
# nothing
%endif

Requires:	nodejs

%description
Node.JS path module


%prep
%setup -q -n package



%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
/usr/bin/mocha -R spec
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
* Fri Oct 23 2015 Jared Smith <jsmith@fedoraproject.org> - 0.12.7-1
- Initial packaging
